\documentclass[12pt]{extarticle}
\usepackage[fleqn]{amsmath}
\usepackage{amsfonts,amssymb,amsmath}
\usepackage[margin=1cm,portrait,a4paper]{geometry}%
\newcommand{\tU}{\tilde U}
\newcommand{\ttU}{\hat U}
\begin{document}

\begin{equation}
	U(z,z_0)=A\left(pe^{-\eta(z+z_0-2d_s)}+qe^{-\eta(2d_{s+1}-(z+z_0))}+e^{-\eta|z-z_0|}+pqe^{-\eta(2(d_{s+1}-d_s)-|z-z_0|)}\right)
\end{equation}
\begin{equation}
	\begin{aligned}
		V_i^t(z)&=U(z_i,z), z_i \le z\le z_{i+1}, {V_i^t}''-\eta^2V_i^t=0\\
		V_i^t(z_i)&=A\left(pe^{-2\eta(z_i-d_s)}+qe^{-2\eta(d_{s+1}-z_i)}+1+pqe^{-\eta(2(d_{s+1}-d_s))}\right)\\
		\left.{V_i^t}'(z)\right|_{z=z_i}&=\eta A\left(-pe^{-2\eta(z_i-d_s)}+qe^{-2\eta(d_{s+1}-z_i)}-1+pqe^{-\eta(2(d_{s+1}-d_s))}\right)\\
		V_i^t(z_{i+1})&=A\left(pe^{-2\eta(z_i-d_s)}e^{-\eta h_i}+qe^{-2\eta(d_{s+1}-z_{i+1})}e^{-\eta h_i}+e^{-\eta h_i}+pe^{-2\eta(z_i-d_s)}qe^{-2\eta(d_{s+1}-z_{i+1})}e^{-\eta h_i}\right)\\
		\left.{V_i^t}'(z)\right|_{z=z_{i+1}}&=\eta A\left(-pe^{-2\eta(z_i-d_s)}e^{-\eta h_i}+qe^{-2\eta(d_{s+1}-z_{i+1})}e^{-\eta h_i}-e^{-\eta h_i}+pe^{-2\eta(z_i-d_s)}qe^{-2\eta(d_{s+1}-z_{i+1})}e^{-\eta h_i}\right)\\
		W_i^t(z)&=U'_z(z_i,z), z_i \le z\le z_{i+1}, {W_i^t}''-\eta^2W_i^t=0\\
		W_i^t(z_i)&=\left.{V_i^t}'(z)\right|_{z=z_i}\\
		\left. W_i^t(z)\right|_{z=z_{i}}&=\eta^2 V_i^t(z_i)\\
		W_i^t(z_{i+1})&=\left.{V_i^t}'(z)\right|_{z=z_{i+1}}\\
		\left. W_i^t(z)\right|_{z=z_{i+1}}&=\eta^2 V_i^t(z_{i+1})\\
	\end{aligned}
\end{equation}


\begin{equation}
	\begin{aligned}
		\tU(z,z_0)&=A\left(pe^{-\eta(z+z_0-2d_s)}+qe^{-\eta(2d_{s+1}-(z+z_0))}\right)\\
		\tU''_{zz}&=\tU''_{z_0z_0}=\tU''_{zz_0}=\eta^2\tU\\
		\tU(z_i,z_i)&=A\left(pe^{-2\eta(z_i-d_s)}+qe^{-2\eta(d_{s+1}-z_{i+1})}e^{-2\eta h_i}\right)\\
		\tU(z_i,z_{i+1})&= \tU(z_{i+1},z_i)=A\left(pe^{-2\eta(z_i-d_s)}e^{-\eta h_i}+qe^{-2\eta(d_{s+1}-z_{i+1})}e^{-\eta h_i}\right)\\
		\tU(z_{i+1},z_{i+1})&=A\left(pe^{-2\eta(z_{i}-d_s)}e^{-2\eta h_i}+qe^{-2\eta(d_{s+1}-z_{i+1})}\right)\\
		\tU'_z(z_i,z_i)&=\tU'_{z_{0}}(z_i,z_i)=\eta A\left(-pe^{-2\eta(z_i-d_s)}+qe^{-2\eta(d_{s+1}-z_{i+1})e^{-2\eta h_i}}\right)\\
		\tU'_z(z_i,z_{i+1})&= \tU'_{z_0}(z_{i+1},z_i)=\\
			&\tU'_z(z_{i+1},z_{i})= \tU'_{z_0}(z_{i+1},z_i)=\eta A\left(-pe^{-2\eta(z_i-d_s)}e^{-\eta h_i}+qe^{-2\eta(d_{s+1}-z_{i+1})}e^{-\eta h_i}\right)\\
			\tU'_z(z_{i+1},z_{i+1})&=\tU'_{z_{0}}(z_{i+1},z_{i+1})=\eta A\left(-pe^{-2\eta(z_{i}-d_s)}e^{-2\eta h_i}+qe^{-2\eta(d_{s+1}-z_{i+1})}\right)\\
	\end{aligned}
\end{equation}

\begin{equation}
	\begin{aligned}
		\ttU(x,x_0)&=\tU\left(z_i+h_i\frac{x+1}{2},z_i+h_i\frac{x_0+1}{2}\right)\\
		\varkappa&=\frac{h_i}{2}\eta\\
		\tilde Q_n^m&=\int\limits_{-1}^{1}\int\limits_{-1}^{1}\ttU(z,z_0)P_n(z)P_m(z_0)dzdz_0\\
		\tilde Q_n^m&=\Psi_n\Psi_m\tilde Q_{n-2}^{m-2}\\
		\tilde Q_0^0&=\frac{1}{\varkappa^2}\left(\ttU(-1,-1)+\tU(1,1)-2\ttU(-1,1)\right)\\
		\tilde Q_0^1&=\frac{1}{\varkappa^4}\left(\varkappa^2\left(\ttU(1,1)-\ttU(-1,-1)\right)-\left[\ttU'(-1,-1)+\ttU'(1,1)-2\ttU'(-1,1)\right]\right)\\
		\tilde Q_1^1&=\frac{1}{\varkappa^4}\left((\varkappa^2+1)(\ttU(-1,-1)+\ttU(1,1))+2(\varkappa^2-1)\ttU(-1,1)-2\ttU'(1,1)+2\ttU'(-1,-1)\right)
	\end{aligned}	
\end{equation}


\begin{equation}
	\begin{aligned}
		Q_n^m&=\int\limits_{z_i}^{z_{i+1}}\int\limits_{z_i}^{z_{i+1}}\tU(z,z_0)P_n(z)P_m(z_0)dzdz_0=\frac{h_i^2}{4}\tilde Q_n^m\\
		 Q_n^m&=\Psi_n\Psi_m Q_{n-2}^{m-2}\\
		 Q_0^0&=\frac{1}{\eta^2}\left(\tU(z_i,z_i)+\tU(z_{i+1},z_{i+1})-2\tU(z_{i+1},z_i)\right)\\
		 Q_0^1&=\frac{1}{\eta^2}\left(\tU(z_{i+1},z_{i+1})-\tU(z_i,z_i)\right)+\\
		 &\frac{-2}{h_i\eta^4}\left[\tU'(z_i,z_i)+\tU'(z_{i+1},z_{i+1})-2\tU'(z_i,z_{i+1})\right]\\
		 Q_1^1&=\frac{4}{h_i^2\eta^4}\left(\left(\frac{h_i^2}{4}\eta^2+1\right)(\tU(z_i,z_i)+\tU(z_{i+1},z_{i+1}))+2\left(\frac{h_i^2}{4}\eta^2-1\right)\tU(z_i,z_{i+1})-h_i\tU'(z_{i+1},z_{i+1})+h_i\tU'(z_i,z_i)\right)
	\end{aligned}	
\end{equation}

\begin{equation}
	\begin{aligned}
		V_i^t(z_i)&=\tU(z_i,z_i)+A\left(1+pqe^{-\eta(2(d_{s+1}-d_s))}\right)\\
		\left.{V_i^t}'(z)\right|_{z=z_i}&=\tU'(z_i,z_i)+\eta A\left(-1+pqe^{-\eta(2(d_{s+1}-d_s))}\right)\\
		V_i^t(z_{i+1})&=\tU(z_{i},z_{i+1})+A\left(e^{-\eta h_i}+pe^{-2\eta(z_i-d_s)}qe^{-2\eta(d_{s+1}-z_{i+1})}e^{-\eta h_i}\right)\\
		\left.{V_i^t}'(z)\right|_{z=z_{i+1}}&=\tU'(z_i,z_{i+1})+\eta A\left(-e^{-\eta h_i}+pe^{-2\eta(z_i-d_s)}qe^{-2\eta(d_{s+1}-z_{i+1})}e^{-\eta h_i}\right)\\
	\end{aligned}
\end{equation}

\begin{equation}
	\begin{aligned}
		V_i^b(z_{i+1})&=\tU(z_{i+1},z_i)+A\left(e^{-\eta h_i}+pe^{-2\eta(z_i-d_s)}qe^{-2\eta(d_{s+1}-z_{i+1})}e^{-\eta h_i}\right)\\
		\left.{V_i^b}'(z)\right|_{z=z_{i+1}}&=\tU'(z_{i+1},z_i)+\eta A\left(e^{-\eta h_i}-pe^{-2\eta(z_i-d_s)}qe^{-2\eta(d_{s+1}-z_{i+1})}e^{-\eta h_i}\right)\\
\\
		V_i^b(z_{i+1})&=\tU(z_{i+1},z_{i+1})+A\left(1+pqe^{-\eta(2(d_{s+1}-d_s))}\right)\\
		\left.{V_i^b}'(z)\right|_{z=z_{i+1}}&=\tU'(z_{i+1},z_{i+1})+\eta A\left(1-pqe^{-\eta(2(d_{s+1}-d_s))}\right)\\
	\end{aligned}
\end{equation}

\end{document}
